@echo off
if "%1"=="" goto nopath
set C--=%1
:nopath
del lzssdll.bin
%C--%\c-- lzssdll.c--
if errorlevel 1 goto exe
copy lzssdll.exe *.bin
del lzssdll.exe
:exe
del lzssexe.bin
%C--%\c-- lzssexe.c--
if errorlevel 1 goto main
copy lzssexe.exe *.bin
del lzssexe.exe
:main
%C--%\c-- epack.c--
if errorlevel 1 goto end
copy epack.exe *.bin
epack epack.bin
if errorlevel 1 goto end
move epack.bin epack.exe >nul
:end
